rePCA {lme4} | R Documentation

## PCA of random-effects covariance matrix

### Description

PCA of random-effects variance-covariance estimates

### Usage

    rePCA(x)

### Arguments

`x` | a `merMod` object

### Details

Perform a Principal Components Analysis (PCA) of the random-effects variance-covariance estimates from a fitted mixed-effects model. This allows the user to detect and diagnose overfitting problems in the random effects model (see Bates et al. 2015 for details).

### Value

a `prcomplist` object

### Author(s)

Douglas Bates

### References

- Douglas Bates, Reinhold Kliegl, Shravan Vasishth, and Harald Baayen. Parsimonious Mixed Models. arXiv:1506.04967 [stat], June 2015. arXiv: 1506.04967.

### See Also

`isSingular`

### Examples

      fm1 <- lmer(Reaction~Days+(Days|Subject), sleepstudy)
      rePCA(fm1)

[Package lme4 version 1.1-21 Index]